summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap')
-rw-r--r--source/xap/seamonkey/arc4random_buf.glibc-2.36.diff18
-rwxr-xr-xsource/xap/seamonkey/seamonkey.SlackBuild5
2 files changed, 22 insertions, 1 deletions
diff --git a/source/xap/seamonkey/arc4random_buf.glibc-2.36.diff b/source/xap/seamonkey/arc4random_buf.glibc-2.36.diff
new file mode 100644
index 000000000..d4131c0a2
--- /dev/null
+++ b/source/xap/seamonkey/arc4random_buf.glibc-2.36.diff
@@ -0,0 +1,18 @@
+--- ./ipc/chromium/src/third_party/libevent/arc4random.c.orig 2022-08-04 14:57:57.000000000 -0500
++++ ./ipc/chromium/src/third_party/libevent/arc4random.c 2022-08-06 14:40:21.569033657 -0500
+@@ -484,6 +484,7 @@
+ }
+ #endif
+
++#if 0
+ ARC4RANDOM_EXPORT void
+ arc4random_buf(void *buf_, size_t n)
+ {
+@@ -497,6 +498,7 @@
+ }
+ ARC4_UNLOCK_();
+ }
++#endif
+
+ #ifndef ARC4RANDOM_NOUNIFORM
+ /*
diff --git a/source/xap/seamonkey/seamonkey.SlackBuild b/source/xap/seamonkey/seamonkey.SlackBuild
index 134e2b32a..1af462592 100755
--- a/source/xap/seamonkey/seamonkey.SlackBuild
+++ b/source/xap/seamonkey/seamonkey.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2020, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -139,6 +139,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Don't define a function that's included starting in glibc-2.36:
+zcat $CWD/arc4random_buf.glibc-2.36.diff.gz | patch -p1 --verbose || exit 1
+
# Our building options, in a configure-like display ;)
OPTIONS="\
--prefix=/usr \